target_link_libraries(
    uexample_test PRIVATE
    --static -Wl,--start-group -lc -lgcc -lnosys -Wl,--end-group
    -T${PROJECT_SOURCE_DIR}/platform/stm32disco/stm32f405x6.ld
    -nostartfiles -Wl,--gc-sections
    cmsis)

add_custom_command(
  TARGET uexample_test POST_BUILD
  COMMAND ${OBJCOPY} -Obinary uexample_test uexample_test.bin
  COMMENT "Invoking: objcopy")

add_custom_target(
  flash
  COMMAND st-flash write uexample_test.bin 0x8000000
  COMMENT "Flashing device")
